# filter

Returns those items from the sequence `$seq` for which the supplied function `$f` returns true.

filter($f as function(item()) as xs:boolean, $seq as item()*) → item()*

Arguments
| $f | function(item()) as xs:boolean | The filtering function (used to test each item in the sequence
| $seq | item()* | The sequence to be filtered
Result | item()*

Links to W3C specifications

Namespace: http://www.w3.org/2005/xpath-functions

Applies to: XPath 3.0, XSLT 3.0, XQuery 3.0 (if enabled in Saxon: requires Saxon-PE or Saxon-EE)

XPath 3.0 Specification

Notes on the Saxon implementation

Newly implemented in Saxon 9.3. Requires XPath 3.0 to be enabled.

Next